"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConfigWithSvelte = void 0;
const svelte_plugin_1 = require("../plugins/svelte-plugin");
const uniroll_1 = require("uniroll");
const createSveltePreprocessor = (transformers) => {
    const script = async ({ content, attributes, filename }) => {
        var _a;
        if (attributes.lang === "ts") {
            // 内部的に tsx 拡張子ということにする
            const ret = (_a = (await transformers.script(content, filename + "$.tsx"))) !== null && _a !== void 0 ? _a : {
                code: content,
            };
            return ret;
        }
        return {
            code: content,
        };
    };
    const style = async ({ content, attributes, filename }) => {
        var _a, _b;
        const ret = (_b = (await ((_a = transformers.style) === null || _a === void 0 ? void 0 : _a.call(transformers, content, filename + "$.tsx")))) !== null && _b !== void 0 ? _b : {
            code: content,
        };
        return ret;
    };
    return {
        preprocess: [
            {
                script,
                style,
            },
        ],
    };
};
exports.getConfigWithSvelte = (opts) => {
    const { transformScript, transformStyle, plugins } = uniroll_1.getBaseConfig(opts);
    const svelte = svelte_plugin_1.sveltePlugin(createSveltePreprocessor({
        script: transformScript,
        style: transformStyle,
    }));
    return {
        transformScript,
        transformStyle,
        plugins: [svelte, ...plugins],
    };
};
