"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sveltePlugin = void 0;
const compiler_1 = require("svelte/compiler");
exports.sveltePlugin = (opts) => {
    return {
        name: "svelte",
        async transform(code, id) {
            if (id.endsWith(".svelte")) {
                const { code: preprocessed } = await compiler_1.preprocess(code, opts.preprocess, {
                    filename: id,
                });
                const result = compiler_1.compile(preprocessed, {});
                if (result.warnings.length > 0) {
                    this.warn(result.warnings.map((t) => t.message).join("\n"));
                }
                return result.js;
            }
        },
    };
};
